Bug 30859 - mkinitrd fails if one module not found.
mkinitrd fails if one module not found.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 15:50 EST by Eugene Kanter
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 15:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2001-03-06 15:50:41 EST
if module,listed in /etc/modules.conf, is missing or mistyped,
mkinitrd does not create the image even though all other modules
are correct. It should create image with whatever modules are available.

Reproducible: Always
Steps to Reproduce:
1.put the following line in /etc/modules.conf
alias eth0 rtl8139
2.run mkbootdisk --device /dev/fd0 2.4.1-0.1.9

Actual Results:  during the attempt to create a boot floppy mkinitrd
will fail with an error:
No module rtl8139 found for kernel 2.4.1-0.1.9

no initrd is found on the boot floppy. system with scsi will not boot.

Expected Results:  initrd should be created with rest of the available 
modules.

This happened during the upgrade from redhat version 7.0 to wolverine.
Apparently installer doesn't know that rtl8139 should be renamed to 
something else. It is also an installer bug.
Comment 1 Erik Troan 2002-01-11 11:30:35 EST
Fixed for optional modules in 7.2

Note You need to log in before you can comment on or make changes to this bug.